## GIPropertyInfo GIPropertyInfo — Struct representing a property |

## Functions

#define | GI_IS_PROPERTY_INFO()
GParamFlags | g_property_info_get_flags ()
GITransfer | g_property_info_get_ownership_transfer ()
GITypeInfo * | g_property_info_get_type ()

## Types and Values

typedef | GIPropertyInfo

## Description

GIPropertyInfo represents a property. A property belongs to either a GIObjectInfo or a GIInterfaceInfo.

## Struct hierarchy

      GIBaseInfo
       +----GIPropertyInfo

## Functions

### GI_IS_PROPERTY_INFO()

    #define             GI_IS_PROPERTY_INFO(info)

Checks if `info` is a GIPropertyInfo.

#### Parameters

info | an info structure |

### g_property_info_get_flags ()

    GParamFlags
    g_property_info_get_flags (GIPropertyInfo *info);

Obtain the flags for this property info. See GParamFlags for more information about possible flag values.

#### Parameters

info | a GIPropertyInfo |

#### Returns

the flags

### g_property_info_get_ownership_transfer ()

    GITransfer
    g_property_info_get_ownership_transfer
                                   (GIPropertyInfo *info);

Obtain the ownership transfer for this property. See GITransfer for more information about transfer values.

#### Parameters

info | a GIPropertyInfo |

#### Returns

the transfer

### g_property_info_get_type ()

    GITypeInfo *
    g_property_info_get_type (GIPropertyInfo *info);

Obtain the type information for the property `info` .

#### Parameters

info | a GIPropertyInfo |

#### Returns

the GITypeInfo, free it with `g_base_info_unref()` when done.

[transfer full]

## Types and Values

### GIPropertyInfo

    typedef GIBaseInfo GIPropertyInfo;

Represents a property of a GIObjectInfo or a GIInterfaceInfo.